aboutsummaryrefslogtreecommitdiff
path: root/test/010-malformed-timestamp.test
diff options
context:
space:
mode:
authorDavid Phillips <dbphillipsnz@gmail.com>2016-04-27 11:06:29 +1200
committerDavid Phillips <dbphillipsnz@gmail.com>2016-04-27 11:06:29 +1200
commit97bcc8e8338e24d5aa002fe05f6f7b193e4aaee4 (patch)
tree083a8921f7e89bdf406ca47ba22b51a6910b6bef /test/010-malformed-timestamp.test
parent048930cb832d0a9774c614a5b2fa6e3c54a79dc5 (diff)
downloadcue-bin-split-97bcc8e8338e24d5aa002fe05f6f7b193e4aaee4.tar.xz
Add more tests to improve coverage
Diffstat (limited to 'test/010-malformed-timestamp.test')
-rwxr-xr-xtest/010-malformed-timestamp.test/run.sh9
-rw-r--r--test/010-malformed-timestamp.test/stderr.expected1
2 files changed, 10 insertions, 0 deletions
diff --git a/test/010-malformed-timestamp.test/run.sh b/test/010-malformed-timestamp.test/run.sh
new file mode 100755
index 0000000..e33ff75
--- /dev/null
+++ b/test/010-malformed-timestamp.test/run.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+echo -e '0:a' | ${EXECUTABLE} -r 1 -c 1 -i /dev/zero -s 1 -f track.raw
+
+if [ $? -eq 0 ]; then
+ exit 1
+else
+ exit 0
+fi
diff --git a/test/010-malformed-timestamp.test/stderr.expected b/test/010-malformed-timestamp.test/stderr.expected
new file mode 100644
index 0000000..ba23786
--- /dev/null
+++ b/test/010-malformed-timestamp.test/stderr.expected
@@ -0,0 +1 @@
+Timestamp malformed